package com.yihu.wlyy.entity.doctor.team.admin;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 团队成员角色。
 *
 * @author Sand
 */
@Entity
@Table(name = "dr_admin_team_member_role")
public class AdminTeamMemberRole extends IdEntity {
    private long teamId;
    private long doctorId;
    private long roleId;

    public long getTeamId() {
        return teamId;
    }

    @Column(name = "team_id")
    public void setTeamId(long teamId) {
        this.teamId = teamId;
    }

    public long getDoctorId() {
        return doctorId;
    }

    @Column(name = "doctor_id")
    public void setDoctorId(long doctorId) {
        this.doctorId = doctorId;
    }

    public long getRoleId() {
        return roleId;
    }

    @Column(name = "role_id")
    public void setRoleId(long roleId) {
        this.roleId = roleId;
    }
}
